Loading...
Searching...
No Matches
MaxFractionalMatching< GR, TR >::SetElevator< T > Struct Template Reference

## Detailed Description

template<typename GR, typename TR>
template<typename T>
struct lemon::MaxFractionalMatching< GR, TR >::SetElevator< T >

Named parameter for setting Elevator type. If this named parameter is used, then an external elevator object must be passed to the algorithm using the elevator() function before calling run() or init().

See also
  SetStandardElevator

`#include <lemon/fractional_matching.h>`

Inheritance diagram for MaxFractionalMatching< GR, TR >::SetElevator< T >:
[legend]

## Additional Inherited Members

Public Types inherited from MaxFractionalMatching< Graph, SetElevatorTraits< T > >
typedef SetElevatorTraits< T > | Traits
| The traits class of the algorithm.
typedef SetElevatorTraits< T >::Graph | Graph
| The type of the graph the algorithm runs on.
typedef SetElevatorTraits< T >::MatchingMap | MatchingMap
| The type of the matching map.
typedef SetElevatorTraits< T >::Elevator | Elevator
| The type of the elevator.
Public Member Functions inherited from MaxFractionalMatching< Graph, SetElevatorTraits< T > >
| MaxFractionalMatching (const Graph &graph, bool allow_loops=true)
| Constructor.
MaxFractionalMatching & | matchingMap (MatchingMap &map)
| Sets the matching map.
MaxFractionalMatching & | elevator (Elevator &elevator)
| Sets the elevator used by algorithm.
const Elevator & | elevator () const
| Returns a const reference to the elevator.
void | init ()
| Initializes the internal data structures.
void | start (bool postprocess=true)
| Starts the algorithm and computes a fractional matching.
bool | startPerfect (bool postprocess=true)
| Starts the algorithm and computes a perfect fractional matching.
void | run (bool postprocess=true)
| Runs the algorithm.
bool | runPerfect (bool postprocess=true)
| Runs the algorithm to find a perfect fractional matching.
int | matchingSize () const
| Return the number of covered nodes in the matching.
const MatchingMap & | matchingMap () const
| Returns a const reference to the matching map.
int | matching (const Edge &edge) const
| Return `true` if the given edge is in the matching.
Arc | matching (const Node &node) const
| Return the fractional matching arc (or edge) incident to the given node.
bool | barrier (const Node &node) const
| Returns true if the node is in the barrier.
Static Public Attributes inherited from MaxFractionalMatching< Graph, SetElevatorTraits< T > >
static const int | primalScale
| Scaling factor for primal solution.